Package org.apache.tapestry5.internal.bindings

# Class LiteralBinding

java.lang.Object
org.apache.tapestry5.ioc.BaseLocatable
org.apache.tapestry5.internal.bindings.AbstractBinding
org.apache.tapestry5.internal.bindings.LiteralBinding

All Implemented Interfaces:
  `Binding`, `Binding2`, `AnnotationProvider`, `Locatable`

public class LiteralBinding extends AbstractBinding
Binding type for literal, immutable values. Literal bindings are invariant; any value provided by a LiteralBinding, even if coerced, will be cached aggresively by Tapestry cmponent. LiteralBindings are often used for literal string values supplied in-line in the component template, but is used for many other things as well, any kind of fixed, read-only value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LiteralBinding(Location location, String description, Object value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `get()`
  Reads the current value of the property (or other resource).
  `String`
  `toString()`

  ### Methods inherited from class org.apache.tapestry5.internal.bindings.AbstractBinding

  `getAnnotation, getBindingGenericType, getBindingType, isInvariant, set`

  ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

  `getLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LiteralBinding

    public LiteralBinding(Location location, String description, Object value)

- ## Method Details

  - ### get

    public Object get()
    Description copied from interface: `Binding`
    Reads the current value of the property (or other resource). When reading properties of objects that are primitive types, this will return an instance of the wrapper type. In some cases, a binding is read only and this method will throw a runtime exception.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`